Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Current Funding Rate

Applicable for checking the current funding rate of a specified contract

Request URL

GET https://cloud-api.wooxpro.com/contract/public/funding-rate

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl https://cloud-api.wooxpro.com/contract/public/funding-rate?symbol=BTCUSDT

FieldTypeRequired?Description
symbolStringYesSymbol of the contract(like BTCUSDT)

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "timestamp": 1662518172178,
    "symbol": "BTCUSDT",
    "rate_value": "0.000164",
    "expected_rate": "0.000164",
    "funding_time": 1709971200000,
    "funding_upper_limit": "0.0375",
    "funding_lower_limit": "-0.0375"
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
FieldTypeDescription
timestampLongTimestamp
symbolStringSymbol of the contract
rate_valueStringFunding rate of the previous period
expected_rateStringFunding rate for the next period
funding_timeLongNext funding settlement time
funding_upper_limitLongUpper limit of funding rate for this trading pair
funding_lower_limitLongLower limit of funding rate for this trading pair